@import "libs/shared/assets/src/global-style/variable";

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding: 0;
}

.title-section {
  margin-bottom: 8px;
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

:host {
  ::ng-deep {
    .ant-radio-wrapper-checked {
      font-weight: bold;
    }
  }
}

.side__bar--primary {
  color: $gray-background;
  font-family: avertaB, sans-serif;
  font-size: 16px;
  padding-left: 5px;
  border-right: none;

  ::ng-deep .ant-menu-submenu-selected {
    color: $primary-button-color;

    ::ng-deep .ant-menu-submenu-arrow {
      color: $primary-button-color;
    }
  }

  ::ng-deep .ant-menu-submenu-active {
    color: $primary-button-color;
  }

  .side__bar--item {
    margin-bottom: 15px;
    padding-left: 10px !important;

    .side__bar--img {
      width: 30px;
    }

    ::ng-deep .ant-menu-sub.ant-menu-inline {
      background: $white-color;
      padding-left: 7px;
    }

    .side__bar--item--sub {
      padding-left: 18px !important;
      background: $white-color;
      border-left: 1px solid $background-primary-button-color;
    }

    ::ng-deep .ant-menu-item-selected {
      color: $primary-button-color !important;
      background-color: $background-primary-button-color;
      padding: 9px;
      border-radius: 8px;
    }

    ::ng-deep .ant-menu-item {
      color: $gray-background;
      padding-left: 10px !important;

      &::after {
        display: none;
      }

      &:hover {
        color: $primary-button-color;
      }
    }

    ::ng-deep .ant-menu-submenu-title {
      margin-bottom: 0px;
      padding-left: 0;

      .side__bar--img {
        width: 30px;
      }

      &:hover {
        color: $primary-button-color;
      }
    }

    &:hover {
      ::ng-deep .ant-menu-submenu-arrow {
        color: $primary-button-color;
      }
    }
  }

  ::ng-deep .side__bar--item.ant-menu-item {
    &:hover {
      color: $primary-button-color;
    }

    a:hover {
      color: $primary-button-color;
    }

    &::after {
      display: none;
    }
  }

  ::ng-deep .side__bar--item.ant-menu-item.ant-menu-item-selected {
    background-color: $background-primary-button-color;
    border-radius: 8px;
  }

  ::ng-deep .ant-menu-item-selected {
    color: $primary-button-color;
  }
}

nz-card {
  margin-top: 1em;
  border-radius: 10px;
}

.title-section {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.m-0 {
  margin: 0;
}

.flex-item-center {
  display: flex;
  align-items: center;
}

.mb-10 {
  margin-bottom: 10px;
}

.display-none {
  display: none;
}

.emp-info {
  border: none;
  width: 100%;
  height: 42px;
  padding: 0;
  background-color: $white-color;
  color: $text-hover;
  margin-top: 8px;
  font-weight: 900;
}
